Bug 1908868 - Update empty state message for EventSources and Channels tab
Summary: Update empty state message for EventSources and Channels tab
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.7.0
Assignee: Sahil Budhwar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-17 18:44 UTC by Sahil Budhwar
Modified: 2021-02-24 15:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:46:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7594 0 None closed Bug 1908868: add empty state message for Event sources and Chanels 2021-01-20 12:15:23 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:46:50 UTC

Description Sahil Budhwar 2020-12-17 18:44:41 UTC
Description of problem:
When there are no event sources, brokers, triggers, channels or subscriptions and user visits the Eventing page from Admin perspective, for Event Sources, it shows message Not Found . For Brokers, Triggers and subscriptions, it shows No Brokers/Triggers/Subscriptions found but for Channels, it again shows Not Found . 

Prerequisites (if any, like setup, operators/versions):
Install OpenShift Serverless Operator and create Knative Serving and Knative eventing

 
Expected results:
We should update the message to  No EventSources found or No eventSources/channels from not found

Reproducibility (Always/Intermittent/Only Once):
Always

Build Details:
4.7.0-0.nightly-2020-11-23-195308

Comment 3 Gajanan More 2021-01-05 05:38:35 UTC
I have validated the bug on:

Build: 4.7.0-0.nightly-2020-12-21-131655

Browser: Firefox 80

Marking this bug as done.

Comment 5 errata-xmlrpc 2021-02-24 15:46:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.